changeset 9:d76f9ff42487

initial coding
author carl
date Sat, 03 Dec 2005 13:54:47 -0800
parents 5f4549fc60b9
children 5dfe0138b4f9
files Makefile.am Makefile.in README configure configure.in remote src/Makefile.am src/Makefile.in src/includes.h src/syslog2iptables.cpp src/syslog2iptables.h src/syslogconfig.h src/tokenizer.h syslog2iptables.conf syslog2iptables.rc
diffstat 15 files changed, 341 insertions(+), 98 deletions(-) [+]
line wrap: on
line diff
--- a/Makefile.am	Fri Dec 02 20:55:32 2005 -0800
+++ b/Makefile.am	Sat Dec 03 13:54:47 2005 -0800
@@ -1,6 +1,20 @@
-# not a GNU package. You can remove this line, if
-# have all needed files, that a GNU package needs
-AUTOMAKE_OPTIONS = foreign 1.4
+SUBDIRS = src
+etcdir = /etc
+rcdir = /etc/rc.d/init.d
+etc_DATA = syslog2iptables.conf
+rc_SCRIPTS = syslog2iptables
+CLEANFILES = $(rc_SCRIPTS)
+EXTRA_DIST = syslog2iptables.rc syslog2iptables.conf
 
-SUBDIRS = src
+syslog2iptables: $(srcdir)/syslog2iptables.rc
+	   rm -f syslog2iptables
+	   echo "#! " $(BASH) >syslog2iptables
+	   cat $(srcdir)/syslog2iptables.rc >>syslog2iptables
+	   chmod 755 syslog2iptables
 
+chkconfig:
+	   /sbin/chkconfig --del syslog2iptables
+	   /sbin/chkconfig --add syslog2iptables
+	   /sbin/chkconfig --level 2345 syslog2iptables on
+	   /etc/rc.d/init.d/syslog2iptables start
+
--- a/Makefile.in	Fri Dec 02 20:55:32 2005 -0800
+++ b/Makefile.in	Sat Dec 03 13:54:47 2005 -0800
@@ -50,6 +50,9 @@
 mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
 CONFIG_HEADER = config.h
 CONFIG_CLEAN_FILES =
+am__installdirs = "$(DESTDIR)$(rcdir)" "$(DESTDIR)$(etcdir)"
+rcSCRIPT_INSTALL = $(INSTALL_SCRIPT)
+SCRIPTS = $(rc_SCRIPTS)
 SOURCES =
 DIST_SOURCES =
 RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
@@ -58,6 +61,14 @@
 	install-recursive installcheck-recursive installdirs-recursive \
 	pdf-recursive ps-recursive uninstall-info-recursive \
 	uninstall-recursive
+am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
+am__vpath_adj = case $$p in \
+    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
+    *) f=$$p;; \
+  esac;
+am__strip_dir = `echo $$p | sed -e 's|^.*/||'`;
+etcDATA_INSTALL = $(INSTALL_DATA)
+DATA = $(etc_DATA)
 ETAGS = etags
 CTAGS = ctags
 DIST_SUBDIRS = $(SUBDIRS)
@@ -81,6 +92,7 @@
 AUTOHEADER = @AUTOHEADER@
 AUTOMAKE = @AUTOMAKE@
 AWK = @AWK@
+BASH = @BASH@
 CC = @CC@
 CCDEPMODE = @CCDEPMODE@
 CFLAGS = @CFLAGS@
@@ -168,11 +180,13 @@
 sharedstatedir = @sharedstatedir@
 sysconfdir = @sysconfdir@
 target_alias = @target_alias@
-
-# not a GNU package. You can remove this line, if
-# have all needed files, that a GNU package needs
-AUTOMAKE_OPTIONS = foreign 1.4
 SUBDIRS = src
+etcdir = /etc
+rcdir = /etc/rc.d/init.d
+etc_DATA = syslog2iptables.conf
+rc_SCRIPTS = syslog2iptables
+CLEANFILES = $(rc_SCRIPTS)
+EXTRA_DIST = syslog2iptables.rc syslog2iptables.conf
 all: config.h
 	$(MAKE) $(AM_MAKEFLAGS) all-recursive
 
@@ -183,15 +197,15 @@
 	@for dep in $?; do \
 	  case '$(am__configure_deps)' in \
 	    *$$dep*) \
-	      echo ' cd $(srcdir) && $(AUTOMAKE) --foreign '; \
-	      cd $(srcdir) && $(AUTOMAKE) --foreign  \
+	      echo ' cd $(srcdir) && $(AUTOMAKE) --gnu '; \
+	      cd $(srcdir) && $(AUTOMAKE) --gnu  \
 		&& exit 0; \
 	      exit 1;; \
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --foreign  Makefile
+	  $(AUTOMAKE) --gnu  Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
 	@case '$?' in \
@@ -227,6 +241,25 @@
 
 distclean-hdr:
 	-rm -f config.h stamp-h1
+install-rcSCRIPTS: $(rc_SCRIPTS)
+	@$(NORMAL_INSTALL)
+	test -z "$(rcdir)" || $(mkdir_p) "$(DESTDIR)$(rcdir)"
+	@list='$(rc_SCRIPTS)'; for p in $$list; do \
+	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
+	  if test -f $$d$$p; then \
+	    f=`echo "$$p" | sed 's|^.*/||;$(transform)'`; \
+	    echo " $(rcSCRIPT_INSTALL) '$$d$$p' '$(DESTDIR)$(rcdir)/$$f'"; \
+	    $(rcSCRIPT_INSTALL) "$$d$$p" "$(DESTDIR)$(rcdir)/$$f"; \
+	  else :; fi; \
+	done
+
+uninstall-rcSCRIPTS:
+	@$(NORMAL_UNINSTALL)
+	@list='$(rc_SCRIPTS)'; for p in $$list; do \
+	  f=`echo "$$p" | sed 's|^.*/||;$(transform)'`; \
+	  echo " rm -f '$(DESTDIR)$(rcdir)/$$f'"; \
+	  rm -f "$(DESTDIR)$(rcdir)/$$f"; \
+	done
 
 mostlyclean-libtool:
 	-rm -f *.lo
@@ -237,6 +270,23 @@
 distclean-libtool:
 	-rm -f libtool
 uninstall-info-am:
+install-etcDATA: $(etc_DATA)
+	@$(NORMAL_INSTALL)
+	test -z "$(etcdir)" || $(mkdir_p) "$(DESTDIR)$(etcdir)"
+	@list='$(etc_DATA)'; for p in $$list; do \
+	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
+	  f=$(am__strip_dir) \
+	  echo " $(etcDATA_INSTALL) '$$d$$p' '$(DESTDIR)$(etcdir)/$$f'"; \
+	  $(etcDATA_INSTALL) "$$d$$p" "$(DESTDIR)$(etcdir)/$$f"; \
+	done
+
+uninstall-etcDATA:
+	@$(NORMAL_UNINSTALL)
+	@list='$(etc_DATA)'; for p in $$list; do \
+	  f=$(am__strip_dir) \
+	  echo " rm -f '$(DESTDIR)$(etcdir)/$$f'"; \
+	  rm -f "$(DESTDIR)$(etcdir)/$$f"; \
+	done
 
 # This directory's subdirectories are mostly independent; you can cd
 # into them and run `make' without going through this Makefile.
@@ -501,9 +551,12 @@
 	       exit 1; } >&2
 check-am: all-am
 check: check-recursive
-all-am: Makefile config.h
+all-am: Makefile $(SCRIPTS) $(DATA) config.h
 installdirs: installdirs-recursive
 installdirs-am:
+	for dir in "$(DESTDIR)$(rcdir)" "$(DESTDIR)$(etcdir)"; do \
+	  test -z "$$dir" || $(mkdir_p) "$$dir"; \
+	done
 install: install-recursive
 install-exec: install-exec-recursive
 install-data: install-data-recursive
@@ -521,6 +574,7 @@
 mostlyclean-generic:
 
 clean-generic:
+	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
 
 distclean-generic:
 	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
@@ -548,7 +602,7 @@
 
 info-am:
 
-install-data-am:
+install-data-am: install-etcDATA install-rcSCRIPTS
 
 install-exec-am:
 
@@ -576,7 +630,7 @@
 
 ps-am:
 
-uninstall-am: uninstall-info-am
+uninstall-am: uninstall-etcDATA uninstall-info-am uninstall-rcSCRIPTS
 
 uninstall-info: uninstall-info-recursive
 
@@ -587,14 +641,28 @@
 	distclean-generic distclean-hdr distclean-libtool \
 	distclean-recursive distclean-tags distcleancheck distdir \
 	distuninstallcheck dvi dvi-am html html-am info info-am \
-	install install-am install-data install-data-am install-exec \
-	install-exec-am install-info install-info-am install-man \
-	install-strip installcheck installcheck-am installdirs \
-	installdirs-am maintainer-clean maintainer-clean-generic \
+	install install-am install-data install-data-am \
+	install-etcDATA install-exec install-exec-am install-info \
+	install-info-am install-man install-rcSCRIPTS install-strip \
+	installcheck installcheck-am installdirs installdirs-am \
+	maintainer-clean maintainer-clean-generic \
 	maintainer-clean-recursive mostlyclean mostlyclean-generic \
 	mostlyclean-libtool mostlyclean-recursive pdf pdf-am ps ps-am \
-	tags tags-recursive uninstall uninstall-am uninstall-info-am
+	tags tags-recursive uninstall uninstall-am uninstall-etcDATA \
+	uninstall-info-am uninstall-rcSCRIPTS
+
 
+syslog2iptables: $(srcdir)/syslog2iptables.rc
+	   rm -f syslog2iptables
+	   echo "#! " $(BASH) >syslog2iptables
+	   cat $(srcdir)/syslog2iptables.rc >>syslog2iptables
+	   chmod 755 syslog2iptables
+
+chkconfig:
+	   /sbin/chkconfig --del syslog2iptables
+	   /sbin/chkconfig --add syslog2iptables
+	   /sbin/chkconfig --level 2345 syslog2iptables on
+	   /etc/rc.d/init.d/syslog2iptables start
 # Tell versions [3.59,3.63) of GNU make to not export all variables.
 # Otherwise a system limit (for SysV at least) may be exceeded.
 .NOEXPORT:
--- a/README	Fri Dec 02 20:55:32 2005 -0800
+++ b/README	Sat Dec 03 13:54:47 2005 -0800
@@ -0,0 +1,9 @@
+Try this:
+
+    ./configure
+    make
+    su
+    make install
+    make chkconfig
+
+The last step sets up the linux runlevels for this package
--- a/configure	Fri Dec 02 20:55:32 2005 -0800
+++ b/configure	Sat Dec 03 13:54:47 2005 -0800
@@ -463,7 +463,7 @@
 # include <unistd.h>
 #endif"
 
-ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar CXX CXXFLAGS LDFLAGS CPPFLAGS ac_ct_CXX EXEEXT OBJEXT DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE build build_cpu build_vendor build_os host host_cpu host_vendor host_os CC CFLAGS ac_ct_CC CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE EGREP LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL LIBOBJS LTLIBOBJS'
+ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar BASH CXX CXXFLAGS LDFLAGS CPPFLAGS ac_ct_CXX EXEEXT OBJEXT DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE build build_cpu build_vendor build_os host host_cpu host_vendor host_os CC CFLAGS ac_ct_CC CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE EGREP LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL LIBOBJS LTLIBOBJS'
 ac_subst_files=''
 
 # Initialize some variables set by options.
@@ -1934,6 +1934,50 @@
 
 
 
+for ac_prog in bash
+do
+  # Extract the first word of "$ac_prog", so it can be a program name with args.
+set dummy $ac_prog; ac_word=$2
+echo "$as_me:$LINENO: checking for $ac_word" >&5
+echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
+if test "${ac_cv_path_BASH+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  case $BASH in
+  [\\/]* | ?:[\\/]*)
+  ac_cv_path_BASH="$BASH" # Let the user override the test with a path.
+  ;;
+  *)
+  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
+for as_dir in $PATH
+do
+  IFS=$as_save_IFS
+  test -z "$as_dir" && as_dir=.
+  for ac_exec_ext in '' $ac_executable_extensions; do
+  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
+    ac_cv_path_BASH="$as_dir/$ac_word$ac_exec_ext"
+    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
+    break 2
+  fi
+done
+done
+
+  ;;
+esac
+fi
+BASH=$ac_cv_path_BASH
+
+if test -n "$BASH"; then
+  echo "$as_me:$LINENO: result: $BASH" >&5
+echo "${ECHO_T}$BASH" >&6
+else
+  echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6
+fi
+
+  test -n "$BASH" && break
+done
+
 
 ac_ext=cc
 ac_cpp='$CXXCPP $CPPFLAGS'
@@ -4117,7 +4161,7 @@
   ;;
 *-*-irix6*)
   # Find out which ABI we are using.
-  echo '#line 4120 "configure"' > conftest.$ac_ext
+  echo '#line 4164 "configure"' > conftest.$ac_ext
   if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
@@ -5225,7 +5269,7 @@
 
 
 # Provide some information about the compiler.
-echo "$as_me:5228:" \
+echo "$as_me:5272:" \
      "checking for Fortran 77 compiler version" >&5
 ac_compiler=`set X $ac_compile; echo $2`
 { (eval echo "$as_me:$LINENO: \"$ac_compiler --version </dev/null >&5\"") >&5
@@ -6259,11 +6303,11 @@
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:6262: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:6306: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:6266: \$? = $ac_status" >&5
+   echo "$as_me:6310: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings
@@ -6492,11 +6536,11 @@
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:6495: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:6539: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:6499: \$? = $ac_status" >&5
+   echo "$as_me:6543: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings
@@ -6552,11 +6596,11 @@
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:6555: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:6599: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:6559: \$? = $ac_status" >&5
+   echo "$as_me:6603: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -7886,7 +7930,7 @@
   libsuff=
   case "$host_cpu" in
   x86_64*|s390x*|powerpc64*)
-    echo '#line 7889 "configure"' > conftest.$ac_ext
+    echo '#line 7933 "configure"' > conftest.$ac_ext
     if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
@@ -8757,7 +8801,7 @@
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 8760 "configure"
+#line 8804 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -8855,7 +8899,7 @@
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 8858 "configure"
+#line 8902 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -11034,11 +11078,11 @@
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:11037: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:11081: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:11041: \$? = $ac_status" >&5
+   echo "$as_me:11085: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings
@@ -11094,11 +11138,11 @@
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:11097: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:11141: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:11101: \$? = $ac_status" >&5
+   echo "$as_me:11145: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -11605,7 +11649,7 @@
   libsuff=
   case "$host_cpu" in
   x86_64*|s390x*|powerpc64*)
-    echo '#line 11608 "configure"' > conftest.$ac_ext
+    echo '#line 11652 "configure"' > conftest.$ac_ext
     if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
@@ -12476,7 +12520,7 @@
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 12479 "configure"
+#line 12523 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -12574,7 +12618,7 @@
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 12577 "configure"
+#line 12621 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -13401,11 +13445,11 @@
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:13404: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:13448: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:13408: \$? = $ac_status" >&5
+   echo "$as_me:13452: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings
@@ -13461,11 +13505,11 @@
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:13464: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:13508: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:13468: \$? = $ac_status" >&5
+   echo "$as_me:13512: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -14775,7 +14819,7 @@
   libsuff=
   case "$host_cpu" in
   x86_64*|s390x*|powerpc64*)
-    echo '#line 14778 "configure"' > conftest.$ac_ext
+    echo '#line 14822 "configure"' > conftest.$ac_ext
     if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
@@ -15516,11 +15560,11 @@
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:15519: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:15563: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:15523: \$? = $ac_status" >&5
+   echo "$as_me:15567: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings
@@ -15749,11 +15793,11 @@
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:15752: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:15796: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:15756: \$? = $ac_status" >&5
+   echo "$as_me:15800: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings
@@ -15809,11 +15853,11 @@
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:15812: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:15856: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:15816: \$? = $ac_status" >&5
+   echo "$as_me:15860: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -17143,7 +17187,7 @@
   libsuff=
   case "$host_cpu" in
   x86_64*|s390x*|powerpc64*)
-    echo '#line 17146 "configure"' > conftest.$ac_ext
+    echo '#line 17190 "configure"' > conftest.$ac_ext
     if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
@@ -18014,7 +18058,7 @@
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 18017 "configure"
+#line 18061 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -18112,7 +18156,7 @@
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 18115 "configure"
+#line 18159 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -19795,6 +19839,7 @@
 s,@AMTAR@,$AMTAR,;t t
 s,@am__tar@,$am__tar,;t t
 s,@am__untar@,$am__untar,;t t
+s,@BASH@,$BASH,;t t
 s,@CXX@,$CXX,;t t
 s,@CXXFLAGS@,$CXXFLAGS,;t t
 s,@LDFLAGS@,$LDFLAGS,;t t
--- a/configure.in	Fri Dec 02 20:55:32 2005 -0800
+++ b/configure.in	Sat Dec 03 13:54:47 2005 -0800
@@ -2,6 +2,7 @@
 
 AM_CONFIG_HEADER(config.h)
 AM_INIT_AUTOMAKE(syslog2iptables, 0.1)
+AC_PATH_PROGS(BASH, bash)
 
 AC_LANG_CPLUSPLUS
 AC_PROG_CXX
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/remote	Sat Dec 03 13:54:47 2005 -0800
@@ -0,0 +1,23 @@
+#!/bin/bash
+
+function me()
+{
+    a="$1"
+    b="$2"
+    echo "ssh $a $b"
+    ssh $a "$b"
+}
+
+n=syslog2iptables
+v=0.1
+t='ams ns1'
+for i in $t; do
+    scp $n*gz $i:/tmp
+    me $i "cd /tmp; tar xfz $n*gz"
+    me $i "cd /tmp/$n-$v; ./configure"
+    me $i "cd /tmp/$n-$v; make"
+    me $i "cd /tmp/$n-$v; make install"
+    me $i "/etc/rc.d/init.d/$n stop"
+    me $i "/sbin/iptables -F INPUT"
+    me $i "cd /tmp/$n-$v; make chkconfig"
+done
--- a/src/Makefile.am	Fri Dec 02 20:55:32 2005 -0800
+++ b/src/Makefile.am	Sat Dec 03 13:54:47 2005 -0800
@@ -8,3 +8,6 @@
 # the library search path.
 syslog2iptables_LDFLAGS = $(all_libraries) -pthread
 
+# default compile flags
+syslog2iptables_CXXFLAGS = -pthread
+
--- a/src/Makefile.in	Fri Dec 02 20:55:32 2005 -0800
+++ b/src/Makefile.in	Sat Dec 03 13:54:47 2005 -0800
@@ -51,8 +51,10 @@
 am__installdirs = "$(DESTDIR)$(sbindir)"
 sbinPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
 PROGRAMS = $(sbin_PROGRAMS)
-am_syslog2iptables_OBJECTS = syslog2iptables.$(OBJEXT) \
-	tokenizer.$(OBJEXT) syslogconfig.$(OBJEXT)
+am_syslog2iptables_OBJECTS =  \
+	syslog2iptables-syslog2iptables.$(OBJEXT) \
+	syslog2iptables-tokenizer.$(OBJEXT) \
+	syslog2iptables-syslogconfig.$(OBJEXT)
 syslog2iptables_OBJECTS = $(am_syslog2iptables_OBJECTS)
 syslog2iptables_LDADD = $(LDADD)
 DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)
@@ -88,6 +90,7 @@
 AUTOHEADER = @AUTOHEADER@
 AUTOMAKE = @AUTOMAKE@
 AWK = @AWK@
+BASH = @BASH@
 CC = @CC@
 CCDEPMODE = @CCDEPMODE@
 CFLAGS = @CFLAGS@
@@ -184,6 +187,9 @@
 
 # the library search path.
 syslog2iptables_LDFLAGS = $(all_libraries) -pthread
+
+# default compile flags
+syslog2iptables_CXXFLAGS = -pthread
 all: all-am
 
 .SUFFIXES:
@@ -255,9 +261,9 @@
 distclean-compile:
 	-rm -f *.tab.c
 
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/syslog2iptables.Po@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/syslogconfig.Po@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/tokenizer.Po@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/syslog2iptables-syslog2iptables.Po@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/syslog2iptables-syslogconfig.Po@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/syslog2iptables-tokenizer.Po@am__quote@
 
 .cpp.o:
 @am__fastdepCXX_TRUE@	if $(CXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
@@ -280,6 +286,48 @@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(LTCXXCOMPILE) -c -o $@ $<
 
+syslog2iptables-syslog2iptables.o: syslog2iptables.cpp
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(syslog2iptables_CXXFLAGS) $(CXXFLAGS) -MT syslog2iptables-syslog2iptables.o -MD -MP -MF "$(DEPDIR)/syslog2iptables-syslog2iptables.Tpo" -c -o syslog2iptables-syslog2iptables.o `test -f 'syslog2iptables.cpp' || echo '$(srcdir)/'`syslog2iptables.cpp; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/syslog2iptables-syslog2iptables.Tpo" "$(DEPDIR)/syslog2iptables-syslog2iptables.Po"; else rm -f "$(DEPDIR)/syslog2iptables-syslog2iptables.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='syslog2iptables.cpp' object='syslog2iptables-syslog2iptables.o' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(syslog2iptables_CXXFLAGS) $(CXXFLAGS) -c -o syslog2iptables-syslog2iptables.o `test -f 'syslog2iptables.cpp' || echo '$(srcdir)/'`syslog2iptables.cpp
+
+syslog2iptables-syslog2iptables.obj: syslog2iptables.cpp
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(syslog2iptables_CXXFLAGS) $(CXXFLAGS) -MT syslog2iptables-syslog2iptables.obj -MD -MP -MF "$(DEPDIR)/syslog2iptables-syslog2iptables.Tpo" -c -o syslog2iptables-syslog2iptables.obj `if test -f 'syslog2iptables.cpp'; then $(CYGPATH_W) 'syslog2iptables.cpp'; else $(CYGPATH_W) '$(srcdir)/syslog2iptables.cpp'; fi`; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/syslog2iptables-syslog2iptables.Tpo" "$(DEPDIR)/syslog2iptables-syslog2iptables.Po"; else rm -f "$(DEPDIR)/syslog2iptables-syslog2iptables.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='syslog2iptables.cpp' object='syslog2iptables-syslog2iptables.obj' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(syslog2iptables_CXXFLAGS) $(CXXFLAGS) -c -o syslog2iptables-syslog2iptables.obj `if test -f 'syslog2iptables.cpp'; then $(CYGPATH_W) 'syslog2iptables.cpp'; else $(CYGPATH_W) '$(srcdir)/syslog2iptables.cpp'; fi`
+
+syslog2iptables-tokenizer.o: tokenizer.cpp
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(syslog2iptables_CXXFLAGS) $(CXXFLAGS) -MT syslog2iptables-tokenizer.o -MD -MP -MF "$(DEPDIR)/syslog2iptables-tokenizer.Tpo" -c -o syslog2iptables-tokenizer.o `test -f 'tokenizer.cpp' || echo '$(srcdir)/'`tokenizer.cpp; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/syslog2iptables-tokenizer.Tpo" "$(DEPDIR)/syslog2iptables-tokenizer.Po"; else rm -f "$(DEPDIR)/syslog2iptables-tokenizer.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='tokenizer.cpp' object='syslog2iptables-tokenizer.o' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(syslog2iptables_CXXFLAGS) $(CXXFLAGS) -c -o syslog2iptables-tokenizer.o `test -f 'tokenizer.cpp' || echo '$(srcdir)/'`tokenizer.cpp
+
+syslog2iptables-tokenizer.obj: tokenizer.cpp
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(syslog2iptables_CXXFLAGS) $(CXXFLAGS) -MT syslog2iptables-tokenizer.obj -MD -MP -MF "$(DEPDIR)/syslog2iptables-tokenizer.Tpo" -c -o syslog2iptables-tokenizer.obj `if test -f 'tokenizer.cpp'; then $(CYGPATH_W) 'tokenizer.cpp'; else $(CYGPATH_W) '$(srcdir)/tokenizer.cpp'; fi`; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/syslog2iptables-tokenizer.Tpo" "$(DEPDIR)/syslog2iptables-tokenizer.Po"; else rm -f "$(DEPDIR)/syslog2iptables-tokenizer.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='tokenizer.cpp' object='syslog2iptables-tokenizer.obj' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(syslog2iptables_CXXFLAGS) $(CXXFLAGS) -c -o syslog2iptables-tokenizer.obj `if test -f 'tokenizer.cpp'; then $(CYGPATH_W) 'tokenizer.cpp'; else $(CYGPATH_W) '$(srcdir)/tokenizer.cpp'; fi`
+
+syslog2iptables-syslogconfig.o: syslogconfig.cpp
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(syslog2iptables_CXXFLAGS) $(CXXFLAGS) -MT syslog2iptables-syslogconfig.o -MD -MP -MF "$(DEPDIR)/syslog2iptables-syslogconfig.Tpo" -c -o syslog2iptables-syslogconfig.o `test -f 'syslogconfig.cpp' || echo '$(srcdir)/'`syslogconfig.cpp; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/syslog2iptables-syslogconfig.Tpo" "$(DEPDIR)/syslog2iptables-syslogconfig.Po"; else rm -f "$(DEPDIR)/syslog2iptables-syslogconfig.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='syslogconfig.cpp' object='syslog2iptables-syslogconfig.o' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(syslog2iptables_CXXFLAGS) $(CXXFLAGS) -c -o syslog2iptables-syslogconfig.o `test -f 'syslogconfig.cpp' || echo '$(srcdir)/'`syslogconfig.cpp
+
+syslog2iptables-syslogconfig.obj: syslogconfig.cpp
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(syslog2iptables_CXXFLAGS) $(CXXFLAGS) -MT syslog2iptables-syslogconfig.obj -MD -MP -MF "$(DEPDIR)/syslog2iptables-syslogconfig.Tpo" -c -o syslog2iptables-syslogconfig.obj `if test -f 'syslogconfig.cpp'; then $(CYGPATH_W) 'syslogconfig.cpp'; else $(CYGPATH_W) '$(srcdir)/syslogconfig.cpp'; fi`; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/syslog2iptables-syslogconfig.Tpo" "$(DEPDIR)/syslog2iptables-syslogconfig.Po"; else rm -f "$(DEPDIR)/syslog2iptables-syslogconfig.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='syslogconfig.cpp' object='syslog2iptables-syslogconfig.obj' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(syslog2iptables_CXXFLAGS) $(CXXFLAGS) -c -o syslog2iptables-syslogconfig.obj `if test -f 'syslogconfig.cpp'; then $(CYGPATH_W) 'syslogconfig.cpp'; else $(CYGPATH_W) '$(srcdir)/syslogconfig.cpp'; fi`
+
 mostlyclean-libtool:
 	-rm -f *.lo
 
--- a/src/includes.h	Fri Dec 02 20:55:32 2005 -0800
+++ b/src/includes.h	Sat Dec 03 13:54:47 2005 -0800
@@ -1,4 +1,38 @@
+/***************************************************************************
+ *	 Copyright (C) 2005 by 510 Software Group							   *
+ *																		   *
+ *																		   *
+ *	 This program is free software; you can redistribute it and/or modify  *
+ *	 it under the terms of the GNU General Public License as published by  *
+ *	 the Free Software Foundation; either version 2 of the License, or	   *
+ *	 (at your option) any later version.								   *
+ *																		   *
+ *	 This program is distributed in the hope that it will be useful,	   *
+ *	 but WITHOUT ANY WARRANTY; without even the implied warranty of 	   *
+ *	 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the		   *
+ *	 GNU General Public License for more details.						   *
+ *																		   *
+ *	 You should have received a copy of the GNU General Public License	   *
+ *	 along with this program; if not, write to the						   *
+ *	 Free Software Foundation, Inc.,									   *
+ *	 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.			   *
+ ***************************************************************************/
+
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
+#include <stdio.h>
+#include <unistd.h>
+#include <regex.h>
+#include <sys/types.h>
+#include <sys/stat.h>
+#include <fstream>
+#include <map>
+#include <list>
+#include <set>
+#include <ctype.h>
+
 #include "tokenizer.h"
 #include "syslogconfig.h"
 #include "syslog2iptables.h"
-#include <unistd.h>
--- a/src/syslog2iptables.cpp	Fri Dec 02 20:55:32 2005 -0800
+++ b/src/syslog2iptables.cpp	Sat Dec 03 13:54:47 2005 -0800
@@ -23,20 +23,15 @@
 // 3 - show files open/close
 // 1 - show config files loading
 
-#ifdef HAVE_CONFIG_H
-#include <config.h>
-#endif
-
+#include "includes.h"
 #include <iostream>
 #include <cstdlib>
 #include <errno.h>
 #include <sysexits.h>
-#include <unistd.h>
 #include <pthread.h>
 #include <syslog.h>
 #include <sys/wait.h>	/* header for waitpid() and various macros */
 #include <signal.h> 	/* header for signal functions */
-#include "includes.h"
 
 extern "C" {
 	void sig_chld(int signo);
--- a/src/syslog2iptables.h	Fri Dec 02 20:55:32 2005 -0800
+++ b/src/syslog2iptables.h	Sat Dec 03 13:54:47 2005 -0800
@@ -1,2 +1,22 @@
+/***************************************************************************
+ *	 Copyright (C) 2005 by 510 Software Group							   *
+ *																		   *
+ *																		   *
+ *	 This program is free software; you can redistribute it and/or modify  *
+ *	 it under the terms of the GNU General Public License as published by  *
+ *	 the Free Software Foundation; either version 2 of the License, or	   *
+ *	 (at your option) any later version.								   *
+ *																		   *
+ *	 This program is distributed in the hope that it will be useful,	   *
+ *	 but WITHOUT ANY WARRANTY; without even the implied warranty of 	   *
+ *	 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the		   *
+ *	 GNU General Public License for more details.						   *
+ *																		   *
+ *	 You should have received a copy of the GNU General Public License	   *
+ *	 along with this program; if not, write to the						   *
+ *	 Free Software Foundation, Inc.,									   *
+ *	 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.			   *
+ ***************************************************************************/
+
 void my_syslog(char *text);
 extern int debug_syslog;
--- a/src/syslogconfig.h	Fri Dec 02 20:55:32 2005 -0800
+++ b/src/syslogconfig.h	Sat Dec 03 13:54:47 2005 -0800
@@ -18,15 +18,6 @@
  *	 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.			   *
  ***************************************************************************/
 
-#ifndef syslogconfig_include
-#define syslogconfig_include
-
-#include "tokenizer.h"
-#include <map>
-#include <regex.h>
-#include <sys/types.h>
-#include <sys/stat.h>
-
 
 class SYSLOGCONFIG;
 class CONFIG;
@@ -119,4 +110,3 @@
 extern char *token_slash;
 extern char *token_threshold;
 
-#endif
--- a/src/tokenizer.h	Fri Dec 02 20:55:32 2005 -0800
+++ b/src/tokenizer.h	Sat Dec 03 13:54:47 2005 -0800
@@ -18,14 +18,6 @@
  *	 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.			   *
  ***************************************************************************/
 
-#ifndef tokenizer_include
-#define tokenizer_include
-
-#include <fstream>
-#include <list>
-#include <set>
-#include <stdio.h>
-#include <ctype.h>
 
 
 using namespace std;
@@ -72,4 +64,3 @@
 	void		token_error();
 };
 
-#endif
--- a/syslog2iptables.conf	Fri Dec 02 20:55:32 2005 -0800
+++ b/syslog2iptables.conf	Sat Dec 03 13:54:47 2005 -0800
@@ -1,4 +1,4 @@
-threshold 600;
+threshold 550;
 
 ignore {
     127.0.0.0/8;        // localhost
@@ -17,21 +17,21 @@
 file "/var/log/secure" {
     pattern "sshd.*Failed password .* from ::ffff:(.*) port" {
         index 1;    // zero based
-        bucket 300;
+        bucket 400;
     };
     pattern "sshd.*Failed password .* from (.*) port" {
         index 1;    // zero based
-        bucket 300;
+        bucket 400;
     };
 };
 
-file "/var/log/messages" {
-    pattern "sshd.pam_unix.*authentication failure.*rhost=(.*) user=" {
-        index 1;    // zero based
-        bucket 300;
-    };
-    pattern "sshd.pam_unix.*authentication failure.*rhost=(.*)$" {
-        index 1;    // zero based
-        bucket 300;
-    };
-};
+//  file "/var/log/messages" {
+//      pattern "sshd.pam_unix.*authentication failure.*rhost=(.*) user=" {
+//          index 1;    // zero based
+//          bucket 300;
+//      };
+//      pattern "sshd.pam_unix.*authentication failure.*rhost=(.*)$" {
+//          index 1;    // zero based
+//          bucket 300;
+//      };
+//  };
--- a/syslog2iptables.rc	Fri Dec 02 20:55:32 2005 -0800
+++ b/syslog2iptables.rc	Sat Dec 03 13:54:47 2005 -0800
@@ -1,4 +1,4 @@
-#!/bin/sh
+#  -- bash header installed by automake --
 #
 # syslog2iptables   This script controls the syslog2iptables daemon.
 #